#ifndef _FILESYSTEM_H
#define _FILESYSTEM_H

#define SPIFFS LITTLEFS
#include <Arduino.h>

const int MAX_DIRECTORIES = 16;

void Init_File_System(void);

void readTestFile(void);

void writeFilesToSerial(void);

//void getAllDirectoriesRecursive(const String& path, String directoryList[], int& count, int maxSize);

//void getAllDirectories(String directoryList[], int& count, int maxSize);
void getAllDirectories(String (&directoryList)[MAX_DIRECTORIES], int& count);

void printFilesInDirectories(const String directoryList[], int count);

//void printAllFiles(int maxDirs);
void printAllSystemFiles(void);




#endif